# Button 按钮

```dart
MillButton(
  onPressed: onPressed,
  child: Text('确定'),
),
```


type 可设置类型，  warning，error，primary
```dart
MillButton(
  type: 'warning',
  onPressed: onPressed,
  child: Text('确定'),
),
```





| 字段名称 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| type  | 按钮的类型。warning，error，primary | String | primary |
| child | 按钮子元素 | Widget |  |
| textColor | 字体颜色 | Color |  |
| color | 背景颜色 | Color |  |
| highlightColor | 点击高亮色 | Color |  |
| disabledColor | disabled 颜色 | Color |  |
| disabledTextColor | disabled 字体颜色 | Color |  |
| disabledBorderColor | disabled 边框颜色 | Color |  |
| borderColor | 边框颜色 | Color |  |
| plain | 简单模式 | bool | false |
| radius | 圆角 | double | 5 |
| gradient | 渐变 | Gradient |  |
| height | 高度 | double | 36 |
| disabled | 禁用 | bool | false |
| onPressed | 单次点击事件 | Function |  |



