# Toast 轻提示

## 普通文本
```dart
_text(context) {
  MillToast.text(context, text: '操作成功');
}
```

![普通](../../images/toast1.jpg)

## 错误
```dart
MillToast.error(context, text: '未知错误');
```

![普通](../../images/toast4.jpg)

## 成功/警告
```dart

MillToast.success(context, text: '操作成功');
MillToast.loading(context, text: '加载中');
```

![普通](../../images/toast2.jpg)

## 加载中
```dart
MillToast.warning(context, text: '警告');
```

![普通](../../images/toast5.jpg)


## Attributes
| 字段名称 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| text | 展示的文字 | String |  |
| duration | 展示的时间（秒） | int  | 2 |
| backgroundColor | 背景色 | Color | Color(0xff444444) |
| textColor | 字体颜色 | Color | Color(0xffffffff) |
| iconBgColor  | 旋转图标的背景色（只有loading 方法有） | Color | Color(0xff444444) |
| valueColor  | 旋转图标的颜色（只有loading 方法有） | Color | Color(0xffffffff) |



