import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class LanaguageProvider with ChangeNotifier {
  String _language = 'zh-CN';

  String get language => _language;

  setLanguage(String lang) {
    _language = lang;
    notifyListeners();
  }
}

getLanage(context, [listen = true]) {
  return Provider.of<LanaguageProvider>(context, listen: listen).language ==
      'zh-CN';
}
