import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

import '../app_provider.dart';

class Buttonlist extends StatefulWidget {
  _Buttonlist createState() => new _Buttonlist();
}

class _Buttonlist extends State<Buttonlist> {
  onPressed() {
    print(111);
  }

  @override
  Widget build(BuildContext context) {
    bool isCn = getLanage(context);
    String btnText = isCn ? '确定' : 'OK';
    return Scaffold(
        appBar: AppBar(
          title: Text('button'),
        ),
        body: Container(
          padding: EdgeInsets.all(10),
          child: ListView(
            children: <Widget>[
              MillButton(
                onPressed: onPressed,
                child: Text(btnText),
              ),
              MillButton(
                type: 'warning',
                onPressed: onPressed,
                child: Text(btnText),
              ),
              MillButton(
                type: 'error',
                onPressed: onPressed,
                child: Text(btnText),
              ),
              MillButton(
                radius: 40,
                onPressed: onPressed,
                child: Text(btnText),
              ),
              Container(
                padding: EdgeInsets.symmetric(vertical: 15),
                child: Text(isCn ? '自定义颜色' : 'Custom color'),
              ),
              MillButton(
                textColor: Color(0xffffffff),
                color: Color(0xff67C23A),
                highlightColor: Color(0xff67D033),
                onPressed: onPressed,
                child: Text(btnText),
              ),
              Container(
                padding: EdgeInsets.symmetric(vertical: 15),
                child: Text(isCn ? '朴素模式' : 'Plain'),
              ),
              MillButton(
                onPressed: onPressed,
                child: Text(btnText),
                plain: true,
              ),
              MillButton(
                type: 'warning',
                onPressed: onPressed,
                child: Text(btnText),
                plain: true,
              ),
              MillButton(
                type: 'error',
                onPressed: onPressed,
                child: Text(btnText),
                plain: true,
              ),
              MillButton(
                radius: 40,
                onPressed: onPressed,
                child: Text(btnText),
                plain: true,
              ),
              Container(
                padding: EdgeInsets.symmetric(vertical: 15),
                child: Text(isCn ? '渐变' : 'Gradient'),
              ),
              MillButton(
                  radius: 40,
                  onPressed: onPressed,
                  child: Text(btnText),
                  gradient: LinearGradient(
                      colors: [Color(0xff5775f4), Color(0xff3555de)])),
              Container(
                padding: EdgeInsets.symmetric(vertical: 15),
                child: Text(isCn ? '禁用' : 'Disabled'),
              ),
              MillButton(
                onPressed: onPressed,
                child: Text(btnText),
                disabled: true,
              ),
              MillButton(
                type: 'warning',
                onPressed: onPressed,
                child: Text(btnText),
                disabled: true,
              ),
              MillButton(
                type: 'error',
                onPressed: onPressed,
                child: Text(btnText),
                disabled: true,
              ),
              MillButton(
                onPressed: onPressed,
                child: Text(btnText),
                disabled: true,
                plain: true,
              ),
              MillButton(
                type: 'warning',
                onPressed: onPressed,
                child: Text(btnText),
                plain: true,
                disabled: true,
              ),
              MillButton(
                type: 'error',
                child: Text(btnText),
                plain: true,
              ),
            ],
          ),
        ));
  }
}
