import 'package:flutter/material.dart';
import 'package:millui/package/search.dart';

import '../app_provider.dart';

class Search extends StatefulWidget {
  Search();

  _Search createState() => _Search();
}

class _Search extends State<Search> {
  @override
  Widget build(BuildContext context) {
    bool isCn = getLanage(context);

    return Scaffold(
      appBar: AppBar(
        title: Text('search'),
      ),
      body: ListView(
        children: [
          MillSearch(
            hintText: isCn ? '请输入' : 'please input',
          ),
          Padding(padding: EdgeInsets.only(top: 20)),
          MillSearch(
            radius: 30,
            hintText: isCn ? '请输入' : 'please input',
          ),
          Padding(padding: EdgeInsets.only(top: 20)),
          MillSearch(
            hintText: isCn ? '请输入' : 'please input',
            radius: 30,
            showIcon: false,
          ),
          Padding(padding: EdgeInsets.only(top: 20)),
          MillSearch(
            hintText: isCn ? '请输入' : 'please input',
            radius: 30,
            prefixIcon: Icon(Icons.ac_unit),
          ),
          Padding(padding: EdgeInsets.only(top: 20)),
          MillSearch(
            hintText: isCn ? '请输入' : 'please input',
            buttonText: isCn ? '取消' : 'cancel',
            showButton: true,
            onCancel: () {
              print('cancel');
            },
          ),
          Padding(padding: EdgeInsets.only(top: 20)),
          MillSearch(
            hintText: isCn ? '请输入' : 'please input',
            buttonText: isCn ? '取消' : 'cancel',
            showButton: true,
            value: 'nihao',
            onCancel: () {
              print('cancel');
            },
            backgroundColor: Colors.blue,
            buttonTextColor: Colors.white,
          ),
        ],
      ),
    );
  }
}
