# Mill-ui quick start

## Mounting
pubspec.yaml
```yaml
# ...
dependencies:
  flutter:
    sdk: flutter

  millui: ^0.0.1
  # 或
  millui: 
    git:
      url: https://github.com/IMP-FE/millui.git
```


## Quick start
#### Installation font
**Because mill-ui uses its own font, it needs to introduce mill-ui font.**
pubspec.yaml
```yaml
fonts:
    - family: MilluiIcons
      fonts:
        - asset: packages/millui/fonts/Millui.ttf
```


**Introduced**
```dart
import 'package:flutter/material.dart';
import 'package:millui/millui.dart';
```


**Use**
```dart
MillButton(
  onPressed: onPressed,
  child: Text('确定'),
),
```
