# MillButton button

```dart
MillButton(
  onPressed: onPressed,
  child: Text('confirm'),
),
```


type: warning,error, primary
```dart
MillButton(
  type: 'warning',
  onPressed: onPressed,
  child: Text('ok'),
),
```



| Field name | Description | Type | Default value |
| --- | --- | --- | --- |
| Type | The type of the button. warning,error,primary | String | Primary |
| Child | Button sub-elements | Widget |  |
| textColor | Font color | Color |  |
| Color | Background color | Color |  |
| highlightColor | Click highlight color | Color |  |
| disabledColor | Color disabled | Color |  |
| disabledTextColor | disabled font color | Color |  |
| disabledBorderColor | disabled border color | Color |  |
| borderColor | Border color | Color |  |
| Plain | Simple Mode | bool | False |
| radius | radius | Double | 5 |
| Gradient | Gradient | Gradient |  |
| Height | Height | Double | 36 |
| Disabled | Disable | bool | False |
| onPressed | Single click event | Function |  |

