# MillDialog 对话框

```dart
MillDialog.confirm(context, message: '你好');
MillDialog.tip(context, message: '你好', title: '这是标题');
```





| 字段名称 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| message | 展示的文字 | String |  |
| title | 标题 | String |  |
| width | 宽度 | double | 286 |
| radius | 圆角 | double | 12 |
| barrierDismissible | 点击对话框(遮罩)是否关闭它 | bool | false |
| titleColor | 标题颜色 | Color | Color(0xff323233) |
| backgroundColor | 背景颜色 | Color | Color(0xffffffff) |
| messageColor | 字体颜色 | Color | Color(0xff646566) |
| onConfirm | 点击确定回调方法 | Function |  |
| **confirm 方法独有** |  |  |  |
| confirmTextColor | 确定按钮颜色 | Color | Color(0xff409eff) |
| cancelTextColor | 取消按钮颜色 | Color | Color(0xff333333) |
| confirmText | 确定按钮文案 | String | 确定 |
| cancelText | 取消按钮文案 | String | 取消 |
| onCancel | 取消回调 | Function |  |
| **tip 方法独有** |  |  |  |
| buttonText | 按钮文案 | String | 确定 |
| buttonTextColor | 按钮字体颜色 | Color | Color(0xff333333) |





