# 快速开始
## 下载 app

[安卓](https://imp-fe.sm.cn/app/millui/app-release.apk)


## 安装
pubspec.yaml
```yaml
# ...
dependencies:
  flutter:
    sdk: flutter

  millui: ^0.0.4

```


## 配置
#### 引入字体
**因为Millui 使用了自己的字体所以需要引入.**
pubspec.yaml
```yaml
fonts:
    - family: MilluiIcons
      fonts:
        - asset: packages/millui/fonts/Millui.ttf
```


**在项目里引入**
```dart
import 'package:flutter/material.dart';
import 'package:millui/millui.dart';
```

按需引入

```dart
import 'package:flutter/material.dart';
import 'package:millui/package/button.dart';
```

**在项目里使用组件**
```dart
MillButton(
  onPressed: onPressed,
  child: Text('确定'),
),
```
