import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

class Loadinglist extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('loading'),
      ),
      body: Container(
        color: Color(0xffffffff),
        child: GridView.count(
          crossAxisCount: 4,
          crossAxisSpacing: 1,
          mainAxisSpacing: 1,
          padding: EdgeInsets.symmetric(vertical: 0),
          children: [
            Container(
              color: Color(0xfff6f6f6),
              alignment: Alignment.center,
              child: MillBallScaleLoading(),
            ),
            Container(
              color: Color(0xfff6f6f6),
              alignment: Alignment.center,
              child: MillBallWaveLoading(),
            ),
            Container(
              color: Color(0xfff6f6f6),
              alignment: Alignment.center,
              child: MillBallRotateLoading(),
            ),
            Container(
              color: Color(0xfff6f6f6),
              alignment: Alignment.center,
              child: MillBarBeatLoading(),
            ),
          ],
        ),
      ),
    );
  }
}